export type StringWidgetProps = {
    widgetId?: string;
    maxLength?: number;
    minLength?: number;
    pattern?: string | RegExp;
    empty?: string;
    enum?: string[];
    enumMapperKey?: string;
    enumMapping?: boolean;
    enumMapper?: { [key: string]: string } | Record<string, string>;
    selectText?: string;
    placeholder?: string;
    type?: string;
    prefix?: string;
    suffix?: string;
    formatFn?: (value: string) => string;
};
